static const char *volume_mute[] = {"pactl", "set-sink-mute", "@DEFAULT_SINK@", "toggle", NULL};
static const char *volume_dec[] = {"pactl", "set-sink-volume", "@DEFAULT_SINK@", "-5%", NULL};
static const char *volume_inc[] = {"pactl", "set-sink-volume", "@DEFAULT_SINK@", "+5%", NULL};
-//static const char *toggle_music[] = {"quodlibet", "--play-pause", NULL};
-static const char *toggle_music[] = {"cmus-remote", "--pause", NULL};
+static const char *toggle_music[] = {"music_toggle", NULL};
static Key keys[] = {
/* modifier key function argument */
-Subproject commit 84a2f117a32f0796045941260cdc4b69852b41e0
+Subproject commit b14e039639ed28005fbb8bddeb5b5fa0c93475ac
# Basic information
set from="Mart Lubbers <mart@martlubbers.net>"
-alternates "(mart@cs\.ru\.nl|mart@martlubbers\.net|Mart\.Lubbers@ru\.nl)"
+alternates "(mart@cs\.ru\.nl|m\.lubbers@cs\.ru\.nl|mart@martlubbers\.net|Mart\.Lubbers@ru\.nl)"
set use_from=yes
set reverse_name=yes
set envelope_from=yes
# Set the correct msmtp account for the different addresses
send2-hook '~f mart@martlubbers.net'\
'set sendmail="checkattach.sh msmtp -a net"'
-send2-hook '((~f m.lubbers@cs.ru.nl)|(~f m.lubbers@science.ru.nl)|(~f mart@cs.ru.nl))'\
+send2-hook '((~f m.lubbers@cs.ru.nl)|(~f m.lubbers@science.ru.nl)|(~f mart@cs.ru.nl)|(~f m.lubbers@cs.ru.nl))'\
'set sendmail="checkattach.sh msmtp -a ru"'
# Macro for switching to the ru address
auto_view application/msword
# Pager options
+#set pager=/usr/share/vim/vim82/macros/less.sh
set pager_index_lines=20
set pager_context=3
set pager_stop
--- /dev/null
+#!/bin/sh
+
+# Quodlibet is running
+if ! quodlibet --status
+then
+ quodlibet --play-pause
+
+fi
+
+
}
sudo sh -c "$(cmd)"
-sh -c "tlmgr update --self && tlmgr update --all && offlineimap -o -u ttyui && khal $NUL && khard $NUL && pass git pull origin master"
+tlmgr update --self && tlmgr update --all
+khal calendar $NUL
+khard $NUL
+pass git pull origin master
+if ! tmux list-sessions
+then
+ tmuxmail
+fi
# status bar
slstatus &
+# compositor
+xcompmgr -a -c -l0 -t0 -r0 -o.00 &
+
# window manager
while true; do dwm 1>/tmp/dwm.log 2>&1; done